Subject: Re: [PowerPC] 4.10.0 fails to build on BE config

From: Sachin Sant <[email-masked]>
Date: Tue, 21 Feb 2017 18:28:21 +0530

> On 21-Feb-2017, at 4:39 PM, Oliver O'Halloran <[email-masked]> wrote:
> 
> On Tue, Feb 21, 2017 at 6:25 PM, abdul <[email-masked]> wrote:
>> Hi,
>> 
>> Today's mainline build, breaks on Power6 and Power7 (all BE config) with
>> these build errors
>> 
>> arch/powerpc/kernel/time.c: In function ‘running_clock’:
>> arch/powerpc/kernel/time.c:712:2: error: implicit declaration of function
>> ‘cputime_to_nsecs’ [-Werror=implicit-function-declaration]
>> return local_clock() -
>> cputime_to_nsecs(kcpustat_this_cpu->cpustat[CPUTIME_STEAL]);
>> ^
>> cc1: some warnings being treated as errors
>> make[1]: *** [arch/powerpc/kernel/time.o] Error 1
>> 
>> 
>> Regard's
>> Abdul Haleem
>> IBM Linux Technology Center.
> 
> Hi Abdul,
> 
> Are there any extra patches in your tree? I briefly tried to reproduce
> this, but in my local tree this line:

I think the failure reported here is against linux-next tree.
Abdul can you confirm ?

With today’s linux-next tree I can recreate this build failure

  CC      arch/powerpc/kernel/sysfs.o
  CC      arch/powerpc/kernel/cacheinfo.o
  CC      arch/powerpc/kernel/time.o
arch/powerpc/kernel/time.c: In function 'running_clock':
arch/powerpc/kernel/time.c:712:2: error: implicit declaration of function 'cputime_to_nsecs' [-Werror=implicit-function-declaration]
  return local_clock() - cputime_to_nsecs(kcpustat_this_cpu->cpustat[CPUTIME_STEAL]);
  ^
cc1: some warnings being treated as errors
make[1]: *** [arch/powerpc/kernel/time.o] Error 1
make: *** [arch/powerpc/kernel] Error 2

This is with big endian config. I have attached the config file.
The system has gcc version 4.8.5

Thanks
- Sachin